# ModularShipSystem

All of the components below need stats defined such as power draw and hull reinforcement or shield degredation.

## Systems to implement

- [X] Basic spaceship pawn
- [X] Docking using sockets
- [X] Toggles for docking UI and player control over the pawn
- [ ] Data driven shop UI

### Base Ship Info

- [ ] Number of hardpoints
- [ ] Hull information
- [ ] Number of modules
- [ ] Supported Classes of modules
- [ ] Available upgrade slots

### Hardpoints

- [ ] Various types of weaponry i.e. kinetic, energy, combo, and emp weapons
- [ ] Damage output of hardpoints

### Scanner

- [ ] Range and info available from a scan

### Modules

- [ ] Various Module types i.e. Shields, Engines, Jump Drive, Cargo Bays, Stealth tech, and power delivery

### Module upgrades

- [ ] Various types of upgrades i.e. hull reinforcements, shield reinforcements.

- [ ] Move UI handling for space station to a HUD class using the interfaces to toggle everything
- [ ] docking should change pawn rotation as well
